Subject: Re: [RAI] SIPCore Charter - draft B

From: Henry Sinnreich <[email-masked]>
Date: Mon, 2 Mar 2009 06:43:08 -0800

>It sounds like the whole point of SIPCORE is that SIPCORE doesn't (and doesn't need to)
>know about the rest of the universe. Does ANYONE?

Count me in among those who don't want to know about the rest of the _SIP universe_, but just about the rest of the universe: Internet and the WWW.

The authors of the "Change Process for the Session Initiation Protocol" are doing the right thing here with SIPCORE.
SIPCORE will get us to a formal definition of SIP that application developers and their machines can clearly understand.

Henry

On 2/27/09 9:17 PM, "Spencer Dawkins" <[email-masked]> wrote:

Hi, Cullen,

I was actually thrilled when the Hitchhiker's Guide was approved for
publication. Is there an obvious place for work on updates? It sounds like
the whole point of SIPCORE is that SIPCORE doesn't (and doesn't need to)
know about the rest of the universe. Does ANYONE?

(signed) Curious...

>
> Updated draft for comments,
>
> Thanks, Cullen & Jon
>
>
> ---------------------------------------
> Rev B - Feb 27
>
>
>   The Session Initiation Protocol Core (SIPCore) working group is
> chartered to
>   maintain and continue the development of the core SIP  specifications,
> currently
>   defined as proposed standard RFCs 3261, 3262, 3263, 3264, and 3265.
>
>   The SIPCore working group will concentrate on specifications that
>   update or replace the core SIP specifications. In this context,
>   "update" means replacing or modifying protocol elements in the above
>   listed RFCs in ways that would affect most or all implementations of
>   those RFCs alone.  Extensions to SIP that add new functionality that
>   would not be required of all implementations will be done outside of
>   this WG. The process and requirements for such extensions are
>   documented in RFC 3427bis, "Change Process for the Session Initiation
>   Protocol".
>
>   The SIPCore working group will concentrate on specifications that
>   update or replace the core SIP specifications. In this context,
>   "update" means replacing or modifying protocol elements in the above
>   listed RFCs in ways that would affect most or all implementations of
>   those RFCs alone.  Extensions to SIP that add new functionality that
>   would not be required of all implementations will be done outside of
>   this WG. The process and requirements for such extensions are
>   documented in RFC 3427bis, "Change Process for the Session Initiation
>   Protocol".
>
>   Throughout its work, the group will strive to maintain the basic  model
> and
>   architecture defined by SIP.  In particular:
>
>   1.  Services and features are provided end-to-end whenever possible.
>
>   2.  Reuse of existing Internet protocols and architectures and
> integrating
>       with other Internet applications is crucial.
>
>   The primary source of change requirements will be a) interoperability
>   problems that stem from ambiguous or under-defined specification,  and
> b)
>   requirements from other working groups in the RAI Area.
>
>   Although in general the WG will not work on extensions to SIP, it
>   may take on some previous work items from the SIP working group
>   to allow for a smooth transition.
>
>
> Goals and Milestones:
>
>  Feb 2009  Location Conveyance with SIP to IESG (PS)
>  Mar 2009  Identify requirements for test matrix to move SIP to Draft
> Standard
>  Mar 2009  Essential corrections to RFC 3261 (1st batch) to IESG (PS)
>  May 2009  Delivering request-URI and parameters to UAS via proxy to  IESG
> (PS)
>  May 2009  INFO package framework to IESG (PS)
>
> _______________________________________________
> RAI mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rai
>

_______________________________________________
RAI mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/rai

---

From: "Elwell, John" <[email-masked]>
Date: Mon, 02 Mar 2009 17:23:21 +0000

Interestingly, in RFC 5411, RFC 3262 is not considered a core SIP
specification, but some others are, e.g., RFC 3325, RFC 3327, RFC 3581,
even RFC 3840! Is it wise to use a definition that differs from what we
have already published?

John 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Spencer Dawkins
> Sent: 28 February 2009 03:18
> To: Cullen Jennings
> Cc: [email-masked]
> Subject: Re: [RAI] SIPCore Charter - draft B
> 
> Hi, Cullen,
>

---

From: Cullen Jennings <[email-masked]>
Date: Wed, 11 Mar 2009 20:22:30 -0600

On Feb 27, 2009, at 8:17 PM, Spencer Dawkins wrote:

> publication. Is there an obvious place for work on updates? It  
> sounds like the whole point of SIPCORE is that SIPCORE doesn't (and  
> doesn't need to) know about the rest of the universe. Does ANYONE?

The goal would be to have enough diversity in the people attending  
DISPATCH that they were certainly aware of everything that was going  
on across the area. When there is no obvious place to get some work  
done, then it is DISPATCH's job to find a place. This should be much  
less painful than the current situation when there is no obvious place  
to get the work done.

>>  maintain and continue the development of the core SIP   
>> specifications, currently
>>  Throughout its work, the group will strive to maintain the basic   
>> model and
>>  problems that stem from ambiguous or under-defined specification,   
>> and b)
>> Mar 2009  Identify requirements for test matrix to move SIP to  
>> Draft Standard
>> May 2009  Delivering request-URI and parameters to UAS via proxy  
>> to  IESG (PS)

---

From: "Spencer Dawkins" <[email-masked]>
Date: Wed, 25 Mar 2009 00:43:43 -0500

Since Jon asked for feedback on the proposed charters, I wanted to say that 
I was mostly OK with the SIPCORE charter, but I haven't seen a reply to John 
Elwell's question, which seemed very reasonable.

Why DON'T we use the same definition of "core SIP" in SIPCORE as we did in 
the Hitchhikers' Guide?

Thanks,

Spencer

----- Original Message ----- 
From: "Elwell, John" <[email-masked]>
To: "Spencer Dawkins" <[email-masked]>; "Cullen Jennings" 
<[email-masked]>
Cc: <[email-masked]>
Sent: Monday, March 02, 2009 12:23 PM
Subject: RE: [RAI] SIPCore Charter - draft B

John

> specifications,